GET Chat Participants
https://127.0.0.1:{port}/chat/v5/participants?cid={cid} Get information about the participants of all active conversations or a specific conversation if a cid is provided
Headers
-
Authorization: Basic {base64 encoded "riot:{lockfile password}"}
URL Parameters
-
{port}The port can be found from the lockfile (located at
%LocalAppData%\Riot Games\Riot Client\Config\lockfile) when the game is running. The file has the formatname:pid:port:password:protocol
Query Parameters
-
cidoptionalA chat conversation ID. The IDs of all active conversations can be found from the All Chat Info endpoint.
Other Variables
-
lockfile passwordThe password can be found from the lockfile (located at
%LocalAppData%\Riot Games\Riot Client\Config\lockfile) when the game is running. The file has the formatname:pid:port:password:protocol
Response
type ChatParticipantsResponse = {
participants: {
activePlatform: null;
cid: string;
game_name: string;
game_tag: string;
muted: boolean;
name: string;
pid: string;
/** Player UUID */
puuid: string;
region: string;
}[];
}; {
"participants": [
{
"activePlatform": null,
"cid": "ater",
"game_name": "undique",
"game_tag": "tabernus",
"muted": true,
"name": "Krista Rosenbaum",
"pid": "tempora",
"puuid": "2befaa04-1E1C-5987-CcBB-e8209A9AF0Fa",
"region": "audacia"
},
{
"activePlatform": null,
"cid": "ultio",
"game_name": "adfectus",
"game_tag": "beatae",
"muted": false,
"name": "Kelly Mayer-Willms",
"pid": "curo",
"puuid": "BcbbC7dB-8802-ad8d-BE15-30eC2b8C352d",
"region": "eveniet"
},
{
"activePlatform": null,
"cid": "attero",
"game_name": "coaegresco",
"game_tag": "audentia",
"muted": true,
"name": "Heidi Bernier",
"pid": "vel",
"puuid": "EedC5c8C-f8D7-9D3B-453c-EdF17C67d1E9",
"region": "absconditus"
},
{
"activePlatform": null,
"cid": "trado",
"game_name": "explicabo",
"game_tag": "soluta",
"muted": false,
"name": "Mr. Mark Fritsch",
"pid": "illum",
"puuid": "Ae19e6ee-35Db-eB1D-6DA5-8Abf9F9e971C",
"region": "apud"
},
{
"activePlatform": null,
"cid": "amplexus",
"game_name": "vergo",
"game_tag": "repudiandae",
"muted": true,
"name": "Elijah Williamson",
"pid": "occaecati",
"puuid": "ED061349-70fC-cfb5-FC7B-5f78bFcA4b52",
"region": "decet"
}
]
}